## messagelib 24.12.2

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.2")
set(CMAKE_CXX_STANDARD 20)

project(Messagelib VERSION ${PIM_VERSION})

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")

set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "6.3.2")

set(AKONADICONTACT_LIB_VERSION "6.3.2")
set(AKONADI_VERSION "6.3.2")
set(GRANTLEETHEME_LIB_VERSION "6.3.2")
set(GRAVATAR_LIB_VERSION "6.3.2")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.2")
set(KMAILTRANSPORT_LIB_VERSION "6.3.2")
set(KMBOX_LIB_VERSION "6.3.2")
set(KMIME_LIB_VERSION "6.3.2")
set(KPIMTEXTEDIT_LIB_VERSION "6.3.2")
set(LIBKDEPIM_LIB_VERSION "6.3.2")
set(LIBKLEO_LIB_VERSION "6.3.2")
set(PIMCOMMON_LIB_VERSION "6.3.2")
set(GPGME_REQUIRED_VERSION "1.23.2")
set(AKONADI_SEARCH_VERSION "6.3.2")

set(OPENSSL_VERSION "3.0.0")

set(ECM_VERSION ${KF_MIN_VERSION})

find_package(ECM ${ECM_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${Messagelib_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
messagecomposer/*.cpp
messagecomposer/*.h
messagecore/*.cpp
messagecore/*.h
messagelist/*.cpp
messagelist/*.h
messageviewer/*.cpp
messageviewer/*.h
mimetreeparser/*.cpp
mimetreeparser/*.h
templateparser/*.cpp
templateparser/*.h
webengineviewer/*.cpp
webengineviewer/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
messagecomposer/*.cpp
messagecomposer/*.h
messagecore/*.cpp
messagecore/*.h
messagelist/*.cpp
messagelist/*.h
messageviewer/*.cpp
messageviewer/*.h
mimetreeparser/*.cpp
mimetreeparser/*.h
templateparser/*.cpp
templateparser/*.h
webengineviewer/*.cpp
webengineviewer/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


set(KTEXTADDONS_MIN_VERSION "1.5.4")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Test)
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network PrintSupport WebEngineWidgets)

find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextTemplate CONFIG REQUIRED)

find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
endif()

find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

option(FORCE_DISABLE_AKONADI_SEARCH "Disable features and API that require akonadi-search, e.g. because xapian isn't available" OFF)
if(UNIX)
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
else()
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE OPTIONAL PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    set(FORCE_DISABLE_AKONADI_SEARCH TRUE)
endif()

find_package(OpenSSL ${OPENSSL_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_subdirectory(mimetreeparser)
add_subdirectory(messageviewer)
add_subdirectory(templateparser)
add_subdirectory(messagecomposer)
add_subdirectory(messagecore)
add_subdirectory(messagelist)
add_subdirectory(webengineviewer)

ecm_qt_install_logging_categories(
    EXPORT MESSAGELIB
    FILE messagelib.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## messagelib 24.08.2

=== debian/changelog ===
messagelib (4:24.08.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Tighten build-dependency to libgravatar.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 20:06:06 +0200

messagelib (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:04:27 +0200

messagelib (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Disable tests.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 12 Sep 2024 01:15:14 +0200

kf5-messagelib (4:22.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078486).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 19:11:08 +0200

kf5-messagelib (4:22.12.3-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Thu, 01 Feb 2024 16:53:29 +0000

kf5-messagelib (4:22.12.3-2) unstable; urgency=medium

  * Add upstream patch to search also for subkeys (Closes: #1037363).

 -- Sandro Knauß <hefee@debian.org>  Tue, 27 Jun 2023 14:09:30 +0200

kf5-messagelib (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:30 +0100

kf5-messagelib (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:57 +0100

kf5-messagelib (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:41 +0100

kf5-messagelib (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:05:41 +0100

kf5-messagelib (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:24 +0100

kf5-messagelib (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:12:58 +0200

kf5-messagelib (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:11:11 +0200

kf5-messagelib (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:47:02 +0200

kf5-messagelib (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:58:46 +0200

kf5-messagelib (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:03:43 +0200

kf5-messagelib (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:13 +0200

kf5-messagelib (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 19:11:15 +0200

kf5-messagelib (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:11:06 +0200

kf5-messagelib (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:32:31 +0100

kf5-messagelib (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:21:18 +0900

kf5-messagelib (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:11:29 +0900

kf5-messagelib (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:48:27 +0900

kf5-messagelib (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:10:28 +0900

kf5-messagelib (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]


=== debian/control ===
Source: messagelib
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               git,
               libakonadi-dev (>= 4:24.08.2~),
               libakonadicontact-dev (>= 4:24.08.2~),
               libakonadimime-dev (>= 4:24.08.2~),
               libakonadisearch-dev (>= 4:24.08.2~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.21.0~),
               libgrantleetheme-dev (>= 24.08.2~),
               libgravatar-dev (>= 4:24.08.2~),
               libkdepim-dev (>= 4:24.08.2~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6colorscheme-dev (>= 6.3.0~),
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6jobwidgets-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6service-dev (>= 6.3.0~),
               libkf6sonnet-dev (>= 6.3.0~),
               libkf6syntaxhighlighting-dev (>= 6.3.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkidentitymanagement-dev (>= 24.08.2~),
               libkleo-dev (>= 4:24.08.2~),
               libkmailtransport-dev (>= 24.08.2~),
               libkmbox-dev (>= 24.08.2~),
               libkmime-dev (>= 24.08.2~),
               libkpimtextedit-dev (>= 24.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:24.08.2~),
               libqca-qt6-dev (>= 2.3.7~),
               libqgpgmeqt6-dev (>= 1.21.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-webengine-dev (>= 6.6.0+dfsg~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/messagelib
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/messagelib
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/messagelib.git
Rules-Requires-Root: no

Package: messagelib-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: kf5-messagelib-data,
Replaces: kf5-messagelib-data,
Description: KDE PIM messaging library - data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: messagelib-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:24.08.2~),
         libakonadimime-dev (>= 4:24.08.2~),
         libkf6contacts-dev (>= 6.3.0~),
         libkf6service-dev (>= 6.3.0~),
         libkidentitymanagement-dev (>= 24.08.2~),
         libkleo-dev (>= 4:24.08.2~),
         libkmime-dev (>= 24.08.2~),
         libkpim6messagecomposer6 (= ${binary:Version}),
         libkpim6messagecore6 (= ${binary:Version}),
         libkpim6messagelist6 (= ${binary:Version}),
         libkpim6messageviewer6 (= ${binary:Version}),
         libkpim6mimetreeparser6 (= ${binary:Version}),
         libkpim6templateparser6 (= ${binary:Version}),
         libkpim6webengineviewer6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         libpimcommon-dev (>= 4:24.08.2~),
         qt6-webengine-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: KDE PIM messaging library - development files
 This package contains the development files for the KDE PIM messaging library.
 It provides basic e-mail message composing facilities, message handling,
 widgets, a mimetreeparser, a template parser and more.
 .
 This package is part of KDE PIM module.

Package: libkpim6messagecomposer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkpim6messagecore6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.

Package: libkpim6messagelist6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message list library
 This package contains the message list library. It provides a widget for the
 e-mail message lists with extensive filtering, grouping and useful features.
 .
 This package is part of the KDE PIM module.

Package: libkpim6messageviewer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkpim6mimetreeparser6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mime Tree parser library
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for the mime tree parser library.

Package: libkpim6templateparser6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.

Package: libkpim6webengineviewer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: KDE's Qt WebEngine Viewer
 This library implements view on Qt WebEngine used by KDE PIM.
 .
 This package is part of the KDE PIM module.

## messagelib 24.12.0

=== debian/changelog ===
messagelib (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:28 +0100

messagelib (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,51 +6,53 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                git,
-               libakonadi-dev (>= 4:24.08.2~),
-               libakonadicontact-dev (>= 4:24.08.2~),
-               libakonadimime-dev (>= 4:24.08.2~),
-               libakonadisearch-dev (>= 4:24.08.2~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libakonadicontact-dev (>= 4:24.12.0~),
+               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadisearch-dev (>= 4:24.12.0~),
                libgpgme-dev (>= 1.21.0~),
-               libgpgmepp-dev (>= 1.21.0~),
-               libgrantleetheme-dev (>= 24.08.2~),
-               libgravatar-dev (>= 4:24.08.2~),
-               libkdepim-dev (>= 4:24.08.2~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6colorscheme-dev (>= 6.3.0~),
-               libkf6completion-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6contacts-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
-               libkf6itemviews-dev (>= 6.3.0~),
-               libkf6jobwidgets-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6newstuff-dev (>= 6.3.0~),
-               libkf6notifications-dev (>= 6.3.0~),
-               libkf6service-dev (>= 6.3.0~),
-               libkf6sonnet-dev (>= 6.3.0~),
-               libkf6syntaxhighlighting-dev (>= 6.3.0~),
+               libgpgmepp-dev (>= 1.23.2~),
+               libgrantleetheme-dev (>= 24.12.0~),
+               libgravatar-dev (>= 4:24.12.0~),
+               libkdepim-dev (>= 4:24.12.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6completion-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6contacts-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6itemviews-dev (>= 6.6.0~),
+               libkf6jobwidgets-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6newstuff-dev (>= 6.6.0~),
+               libkf6notifications-dev (>= 6.6.0~),
+               libkf6service-dev (>= 6.6.0~),
+               libkf6sonnet-dev (>= 6.6.0~),
+               libkf6syntaxhighlighting-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
-               libkf6textwidgets-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
-               libkf6xmlgui-dev (>= 6.3.0~),
-               libkidentitymanagement-dev (>= 24.08.2~),
-               libkleo-dev (>= 4:24.08.2~),
-               libkmailtransport-dev (>= 24.08.2~),
-               libkmbox-dev (>= 24.08.2~),
-               libkmime-dev (>= 24.08.2~),
-               libkpimtextedit-dev (>= 24.08.2~),
+               libkf6textwidgets-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
+               libkidentitymanagement-dev (>= 24.12.0~),
+               libkleo-dev (>= 4:24.12.0~),
+               libkmailtransport-dev (>= 24.12.0~),
+               libkmbox-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.0~),
+               libkpimtextedit-dev (>= 24.12.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.08.2~),
+               libpimcommon-dev (>= 4:24.12.0~),
                libqca-qt6-dev (>= 2.3.7~),
-               libqgpgmeqt6-dev (>= 1.21.0~),
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-webengine-dev (>= 6.6.0+dfsg~),
+               libqgpgmeqt6-dev (>= 1.23.2~),
+               libssl-dev (>= 3.0.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-webengine-dev (>= 6.7.0~),
                xauth,
                xvfb,
 Standards-Version: 4.7.0
@@ -74,13 +76,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.08.2~),
-         libakonadimime-dev (>= 4:24.08.2~),
-         libkf6contacts-dev (>= 6.3.0~),
-         libkf6service-dev (>= 6.3.0~),
-         libkidentitymanagement-dev (>= 24.08.2~),
-         libkleo-dev (>= 4:24.08.2~),
-         libkmime-dev (>= 24.08.2~),
+Depends: libakonadi-dev (>= 4:24.12.0~),
+         libakonadimime-dev (>= 4:24.12.0~),
+         libkf6contacts-dev (>= 6.6.0~),
+         libkf6service-dev (>= 6.6.0~),
+         libkidentitymanagement-dev (>= 24.12.0~),
+         libkleo-dev (>= 4:24.12.0~),
+         libkmime-dev (>= 24.12.0~),
          libkpim6messagecomposer6 (= ${binary:Version}),
          libkpim6messagecore6 (= ${binary:Version}),
          libkpim6messagelist6 (= ${binary:Version}),
@@ -89,8 +91,8 @@
          libkpim6templateparser6 (= ${binary:Version}),
          libkpim6webengineviewer6 (= ${binary:Version}),
          libktextaddons-dev (>= 1.5.4~),
-         libpimcommon-dev (>= 4:24.08.2~),
-         qt6-webengine-dev (>= 6.6.0+dfsg~),
+         libpimcommon-dev (>= 4:24.12.0~),
+         qt6-webengine-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM messaging library - development files
  This package contains the development files for the KDE PIM messaging library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
# The tests do not run successfully on mipsel for buster and it seems,
# that it is a RAM issue as the tests are anyways flaky,
# disable the tests for now. (hefee - 20190301)
#ifeq ($(DEB_HOST_ARCH), mipsel)
#	echo "tests disabled for mipsel"
#else
#	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
#	           dh_auto_test --no-parallel
#endif

## messagelib 24.12.2

=== debian/changelog ===
messagelib (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                git,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
-               libakonadisearch-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadisearch-dev (>= 4:24.12.2~),
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgrantleetheme-dev (>= 24.12.0~),
-               libgravatar-dev (>= 4:24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libgrantleetheme-dev (>= 24.12.2~),
+               libgravatar-dev (>= 4:24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -40,14 +40,14 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkleo-dev (>= 4:24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmbox-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
-               libkpimtextedit-dev (>= 24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkleo-dev (>= 4:24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmbox-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
+               libkpimtextedit-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libqca-qt6-dev (>= 2.3.7~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libssl-dev (>= 3.0.0~),
@@ -76,13 +76,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.0~),
-         libakonadimime-dev (>= 4:24.12.0~),
+Depends: libakonadi-dev (>= 4:24.12.2~),
+         libakonadimime-dev (>= 4:24.12.2~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6service-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 24.12.0~),
-         libkleo-dev (>= 4:24.12.0~),
-         libkmime-dev (>= 24.12.0~),
+         libkidentitymanagement-dev (>= 24.12.2~),
+         libkleo-dev (>= 4:24.12.2~),
+         libkmime-dev (>= 24.12.2~),
          libkpim6messagecomposer6 (= ${binary:Version}),
          libkpim6messagecore6 (= ${binary:Version}),
          libkpim6messagelist6 (= ${binary:Version}),
@@ -91,7 +91,7 @@
          libkpim6templateparser6 (= ${binary:Version}),
          libkpim6webengineviewer6 (= ${binary:Version}),
          libktextaddons-dev (>= 1.5.4~),
-         libpimcommon-dev (>= 4:24.12.0~),
+         libpimcommon-dev (>= 4:24.12.2~),
          qt6-webengine-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM messaging library - development files
